## uchardet 0.0.1

=== CMakeLists.txt ===
######## Project settings
cmake_minimum_required(VERSION 2.8)
set (PACKAGE_NAME opencc)
project (${PACKAGE_NAME} CXX)
enable_testing()

######## Package information
set (PACKAGE_URL http://code.google.com/p/uchardet/)
set (PACKAGE_BUGREPORT http://code.google.com/p/uchardet/issues/entry)
set (UCHARDET_VERSION_MAJOR 0)
set (UCHARDET_VERSION_MINOR 0)
set (UCHARDET_VERSION_REVISION 1)

if (CMAKE_BUILD_TYPE MATCHES Debug)
	set (version_suffix .Debug)
endif (CMAKE_BUILD_TYPE MATCHES Debug)

set (
	UCHARDET_VERSION
	${UCHARDET_VERSION_MAJOR}.${UCHARDET_VERSION_MINOR}.${UCHARDET_VERSION_REVISION}${version_suffix}
)

######## Windows

if (WIN32)
	set(CMAKE_SHARED_LIBRARY_PREFIX ${CMAKE_INSTALL_PREFIX})
	set(CMAKE_STATIC_LIBRARY_PREFIX ${CMAKE_INSTALL_PREFIX})
endif (WIN32)

######## Directory

set (DIR_PREFIX ${CMAKE_INSTALL_PREFIX})
set (DIR_LIBRARY ${DIR_PREFIX}/${CMAKE_SHARED_LIBRARY_PREFIX})
set (DIR_LIBRARY_STATIC ${DIR_PREFIX}/${CMAKE_STATIC_LIBRARY_PREFIX})
set (DIR_INCLUDE ${DIR_PREFIX}/include)
set (DIR_SHARE ${DIR_PREFIX}/share)
set (DIR_BIN ${DIR_PREFIX}/bin)
set (DIR_ETC ${DIR_PREFIX}/etc)

if (DEFINED CMAKE_INSTALL_LIBDIR)
	set (DIR_LIBRARY ${CMAKE_INSTALL_LIBDIR})
	set (DIR_LIBRARY_STATIC ${CMAKE_INSTALL_LIBDIR})
endif (DEFINED CMAKE_INSTALL_LIBDIR)

if (DEFINED SHARE_INSTALL_PREFIX)
	set (DIR_SHARE ${SHARE_INSTALL_PREFIX})
endif (DEFINED SHARE_INSTALL_PREFIX)

if (DEFINED INCLUDE_INSTALL_DIR)
	set (DIR_INCLUDE ${INCLUDE_INSTALL_DIR})
endif (DEFINED INCLUDE_INSTALL_DIR)

if (DEFINED SYSCONF_INSTALL_DIR)
	set (DIR_ETC ${SYSCONF_INSTALL_DIR})
endif (DEFINED SYSCONF_INSTALL_DIR)

set (DIR_SHARE_UCHARDET ${DIR_SHARE}/opencc)
set (DIR_SHARE_LOCALE ${DIR_SHARE}/locale)

######## Configuration

configure_file(
	uchardet.pc.in
	uchardet.pc
	@ONLY
)

install(
	FILES
		${CMAKE_BINARY_DIR}/uchardet.pc
	DESTINATION
		${DIR_LIBRARY}/pkgconfig
)

######## Subdirectories

add_subdirectory(src)
add_subdirectory(doc)

=== doc/CMakeLists.txt ===
install(
	FILES
		uchardet.1
	DESTINATION
		${DIR_SHARE}/man/man1
)

=== src/tools/CMakeLists.txt ===
set(
	UCHARDET_SOURCES
	uchardet.cpp
)

add_executable(
	uchardet
	${UCHARDET_SOURCES}
)

target_link_libraries(
	uchardet
	${UCHARDET_TARGET}
)

install(
	TARGETS
		uchardet
	RUNTIME
	DESTINATION
		${DIR_BIN}
)

=== debian/changelog ===
uchardet (0.0.1-1ubuntu1) trusty; urgency=low

  * Bump compat to 9.
  * use GNUInstallDir locations (for multiarch).

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Thu, 12 Dec 2013 20:35:24 +0000

uchardet (0.0.1-1) unstable; urgency=low

  * Initial release (Closes: #633767)

 -- Asias He <asias.hejun@gmail.com>  Mon, 11 Jul 2011 23:29:36 +0800

=== debian/control ===
Source: uchardet
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Asias He <asias.hejun@gmail.com>
Build-Depends: debhelper (>= 9), cmake
Standards-Version: 3.9.2
Section: libs
Homepage: http://code.google.com/p/uchardet
Vcs-Git: git://git.debian.org/collab-maint/uchardet.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/uchardet.git;a=summary
DM-Upload-Allowed: yes

Package: uchardet
Section: utils
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: universal charset detection library - cli utility
 uchardet is a C language binding of the original C++ implementation
 of the universal charset detection library by Mozilla.
 .
 uchardet is a encoding detector library, which takes a sequence of
 bytes in an unknown character encoding without any additional
 information, and attempts to determine the encoding of the text.
 .
 The original code of universalchardet is available at
 http://lxr.mozilla.org/seamonkey/source/extensions/universalchardet
 .
 Techniques used by universalchardet are described at
 http://www.mozilla.org/projects/intl/UniversalCharsetDetection.html
 .
 This package contains the cli detection utility.

Package: libuchardet0
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: universal charset detection library - shared library
 uchardet is a C language binding of the original C++ implementation
 of the universal charset detection library by Mozilla.
 .
 uchardet is a encoding detector library, which takes a sequence of
 bytes in an unknown character encoding without any additional
 information, and attempts to determine the encoding of the text.
 .
 The original code of universalchardet is available at
 http://lxr.mozilla.org/seamonkey/source/extensions/universalchardet
 .
 Techniques used by universalchardet are described at
 http://www.mozilla.org/projects/intl/UniversalCharsetDetection.html
 .
 This package contains the shared library.

Package: libuchardet-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libuchardet0 (= ${binary:Version}), ${misc:Depends}
Description: universal charset detection library - development files
 uchardet is a C language binding of the original C++ implementation
 of the universal charset detection library by Mozilla.
 .
 uchardet is a encoding detector library, which takes a sequence of
 bytes in an unknown character encoding without any additional
 information, and attempts to determine the encoding of the text.
 .
 The original code of universalchardet is available at
 http://lxr.mozilla.org/seamonkey/source/extensions/universalchardet
 .
 Techniques used by universalchardet are described at
 http://www.mozilla.org/projects/intl/UniversalCharsetDetection.html
 .
 This package contains the development support files.

=== debian/watch ===
version=3
http://googlecode.debian.net/p/uchardet/uchardet-(\d+.*)\.tar\.gz

## uchardet 0.0.6

=== CMakeLists.txt ===
######## Project settings
cmake_minimum_required(VERSION 2.8.5)
set (PACKAGE_NAME uchardet)
project (${PACKAGE_NAME} CXX C)
enable_testing()

######## Package information
set (PACKAGE_URL https://www.freedesktop.org/wiki/Software/uchardet/)
set (PACKAGE_BUGREPORT https://bugs.freedesktop.org/enter_bug.cgi?product=uchardet)
set (UCHARDET_VERSION_MAJOR 0)
set (UCHARDET_VERSION_MINOR 0)
set (UCHARDET_VERSION_REVISION 6)

if (CMAKE_BUILD_TYPE MATCHES Debug)
	set (version_suffix .debug)
endif (CMAKE_BUILD_TYPE MATCHES Debug)

set (
	UCHARDET_VERSION
	${UCHARDET_VERSION_MAJOR}.${UCHARDET_VERSION_MINOR}.${UCHARDET_VERSION_REVISION}${version_suffix}
)

######## Windows

#if (WIN32)
#	set(CMAKE_SHARED_LIBRARY_PREFIX ${CMAKE_INSTALL_PREFIX})
#	set(CMAKE_STATIC_LIBRARY_PREFIX ${CMAKE_INSTALL_PREFIX})
#endif (WIN32)

######## Directory

include(GNUInstallDirs)

######## Configuration

option(BUILD_BINARY "Build executable" ON)
option(BUILD_SHARED_LIBS "Build shared library and link executable to it" ON)

if (BUILD_SHARED_LIBS)
	option(BUILD_STATIC "Build static library" ON)
endif (BUILD_SHARED_LIBS)

configure_file(
	uchardet.pc.in
	uchardet.pc
	@ONLY
)

install(
	FILES
		${CMAKE_BINARY_DIR}/uchardet.pc
	DESTINATION
		${CMAKE_INSTALL_LIBDIR}/pkgconfig
)

######## Subdirectories

add_subdirectory(src)
add_subdirectory(doc)
add_subdirectory(test)

=== src/CMakeLists.txt ===
set(
	UCHARDET_HEADERS
	uchardet.h
)

set(
	UCHARDET_SOURCES
	CharDistribution.cpp
	JpCntx.cpp
	LangModels/LangArabicModel.cpp
	LangModels/LangBulgarianModel.cpp
	LangModels/LangRussianModel.cpp
	LangModels/LangEsperantoModel.cpp
	LangModels/LangFrenchModel.cpp
	LangModels/LangDanishModel.cpp
	LangModels/LangGermanModel.cpp
	LangModels/LangGreekModel.cpp
	LangModels/LangHungarianModel.cpp
	LangModels/LangHebrewModel.cpp
	LangModels/LangSpanishModel.cpp
	LangModels/LangThaiModel.cpp
	LangModels/LangTurkishModel.cpp
	LangModels/LangVietnameseModel.cpp
	nsHebrewProber.cpp
	nsCharSetProber.cpp
	nsBig5Prober.cpp
	nsEUCJPProber.cpp
	nsEUCKRProber.cpp
	nsEUCTWProber.cpp
	nsEscCharsetProber.cpp
	nsEscSM.cpp
	nsGB2312Prober.cpp
	nsMBCSGroupProber.cpp
	nsMBCSSM.cpp
	nsSBCSGroupProber.cpp
	nsSBCharSetProber.cpp
	nsSJISProber.cpp
	nsUTF8Prober.cpp
	nsLatin1Prober.cpp
	nsUniversalDetector.cpp
	uchardet.cpp
)

set (UCHARDET_LIBRARY libuchardet)
set (UCHARDET_LIBRARY libuchardet PARENT_SCOPE)

if (BUILD_STATIC AND BUILD_SHARED_LIBS)
	set (UCHARDET_STATIC_LIBRARY libuchardet_static)
endif ()

add_definitions(
	-DVERSION="${UCHARDET_VERSION}"
	-Wall
)

if (CMAKE_BUILD_TYPE MATCHES Debug)
	add_definitions(
		-O0
		-g3
	)
endif (CMAKE_BUILD_TYPE MATCHES Debug)

add_library(
	${UCHARDET_LIBRARY}
	${UCHARDET_SOURCES}
)

if (UCHARDET_STATIC_LIBRARY)
	add_library(
		${UCHARDET_STATIC_LIBRARY}
		STATIC
		${UCHARDET_SOURCES}
	)
endif (UCHARDET_STATIC_LIBRARY)

set_target_properties(
	${UCHARDET_LIBRARY}
	PROPERTIES
		LINKER_LANGUAGE
			CXX
		OUTPUT_NAME
			${PACKAGE_NAME}
		VERSION
			${UCHARDET_VERSION}
		SOVERSION
			${UCHARDET_VERSION_MAJOR}
)

if (UCHARDET_STATIC_LIBRARY)
	set_target_properties(
		${UCHARDET_STATIC_LIBRARY}
		PROPERTIES
			LINKER_LANGUAGE
				CXX
			OUTPUT_NAME
				${PACKAGE_NAME}
	)
endif (UCHARDET_STATIC_LIBRARY)

if (NOT WIN32)
	install(
		TARGETS
			${UCHARDET_LIBRARY}
		LIBRARY DESTINATION
			${CMAKE_INSTALL_LIBDIR}
		ARCHIVE DESTINATION
			${CMAKE_INSTALL_LIBDIR}
	)
else (NOT WIN32)
	install(
		TARGETS
			${UCHARDET_LIBRARY}
		RUNTIME DESTINATION
			${CMAKE_INSTALL_BINDIR}
		ARCHIVE DESTINATION
			${CMAKE_INSTALL_LIBDIR}
	)
endif (NOT WIN32)

if (UCHARDET_STATIC_LIBRARY)
	install(
		TARGETS
			${UCHARDET_STATIC_LIBRARY}
		ARCHIVE DESTINATION
			${CMAKE_INSTALL_LIBDIR}
	)
endif (UCHARDET_STATIC_LIBRARY)

install(
	FILES
		${UCHARDET_HEADERS}
	DESTINATION
		${CMAKE_INSTALL_INCLUDEDIR}/${PACKAGE_NAME}
)

include(symbols.cmake)

if (BUILD_BINARY)
	add_subdirectory(tools)
endif (BUILD_BINARY)

=== debian/changelog ===
uchardet (0.0.6-2) unstable; urgency=medium

  * Upload to unstable.

  * debian/control:
    - Set Homepage to freedesktop site instead of gnome.
    - Bump standards to 4.0.0 (no changes required).
  * debian/rules:
    - Use -ffloat-store on i386 to fix FTBFS.

 -- James Cowgill <jcowgill@debian.org>  Sun, 18 Jun 2017 22:12:59 +0100

uchardet (0.0.6-1) experimental; urgency=medium

  * New upstream release. (Closes: #814007)
  * New maintainer. (Closes: #862463)

  * debian/compat:
    - Use debhelper 10
  * debian/control:
    - Enable multiarch.
    - Remove obsolete DM-Upload-Allowed field.
    - Update Homepage.
    - Canonicalize Vcs-Git and Vcs-Browser.
    - Remove dead URLs from package descriptions.
    - Remove useless Section field from libuchardet0.
    - Bump standards version to 3.9.8.
  * debian/copyright:
    - Set upstream license to MPL, GPL or LGPL.
    - Add myself to the packaging copyright.
  * debian/docs:
    - Don't ship AUTHORS file which contains no information not already in
      the copyright file.
  * debian/libuchardet0.symbols:
    - Add symbols file.
  * debian/rules:
    - Remove boilerplate comments.
    - Enable all hardening options.
  * debian/tests:
    - Add some autopkgtests for the library and cli utility.
  * debian/watch:
    - Update watch file for new freedesktop upstream.

 -- James Cowgill <jcowgill@debian.org>  Sat, 13 May 2017 12:35:07 +0100

=== debian/control ===
Source: uchardet
Priority: optional
Section: libs
Maintainer: James Cowgill <jcowgill@debian.org>
Build-Depends: debhelper (>= 10), cmake
Standards-Version: 4.0.0
Homepage: https://www.freedesktop.org/wiki/Software/uchardet/
Vcs-Git: https://anonscm.debian.org/git/collab-maint/uchardet.git
Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/uchardet.git
Testsuite: autopkgtest

Package: uchardet
Section: utils
Architecture: any
Multi-Arch: foreign
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: universal charset detection library - cli utility
 uchardet is a C language binding of the original C++ implementation
 of the universal charset detection library by Mozilla.
 .
 uchardet is a encoding detector library, which takes a sequence of
 bytes in an unknown character encoding without any additional
 information, and attempts to determine the encoding of the text.
 .
 This package contains the cli detection utility.

Package: libuchardet0
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: universal charset detection library - shared library
 uchardet is a C language binding of the original C++ implementation
 of the universal charset detection library by Mozilla.
 .
 uchardet is a encoding detector library, which takes a sequence of
 bytes in an unknown character encoding without any additional
 information, and attempts to determine the encoding of the text.
 .
 This package contains the shared library.

Package: libuchardet-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libuchardet0 (= ${binary:Version}), ${misc:Depends}
Description: universal charset detection library - development files
 uchardet is a C language binding of the original C++ implementation
 of the universal charset detection library by Mozilla.
 .
 uchardet is a encoding detector library, which takes a sequence of
 bytes in an unknown character encoding without any additional
 information, and attempts to determine the encoding of the text.
 .
 This package contains the development support files.

=== debian/rules ===
#!/usr/bin/make -f
include /usr/share/dpkg/architecture.mk

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

ifeq ($(DEB_HOST_ARCH_CPU),i386)
  # Uchardet seems to rely on IEEE 754 float rounding. Use -ffloat-store to make
  # testsuite pass and make i386 give consistent results between architectures.
  # See https://bugs.freedesktop.org/show_bug.cgi?id=101033
  export DEB_CXXFLAGS_MAINT_APPEND := -ffloat-store
endif

%:
	dh $@

## uchardet 0.0.7

=== CMakeLists.txt ===
######## Project settings
cmake_minimum_required(VERSION 2.8.5)
include(CheckCCompilerFlag)
set (PACKAGE_NAME uchardet)
project (${PACKAGE_NAME} CXX C)
enable_testing()

######## Package information
set (PACKAGE_URL https://www.freedesktop.org/wiki/Software/uchardet/)
set (PACKAGE_BUGREPORT https://gitlab.freedesktop.org/uchardet/uchardet/-/issues)
set (UCHARDET_VERSION_MAJOR 0)
set (UCHARDET_VERSION_MINOR 0)
set (UCHARDET_VERSION_REVISION 7)

if (CMAKE_BUILD_TYPE MATCHES Debug)
	set (version_suffix .debug)
endif (CMAKE_BUILD_TYPE MATCHES Debug)

set (
	UCHARDET_VERSION
	${UCHARDET_VERSION_MAJOR}.${UCHARDET_VERSION_MINOR}.${UCHARDET_VERSION_REVISION}${version_suffix}
)
set(CMAKE_CXX_STANDARD 11)
set(CMAKE_CXX_STANDARD_REQUIRED ON)

######## Directory

include(GNUInstallDirs)

######## Configuration

option(BUILD_BINARY "Build the CLI tool." ON)
option(BUILD_SHARED_LIBS "Build shared library and link executable to it." ON)
option(CHECK_SSE2 "Check and enable SSE2 extensions if supported. Disabling SSE on platforms which support it may decrease performances." ON)
set(TARGET_ARCHITECTURE "" CACHE STRING "Target CPU architecture. It is autodetected if not specified.")

if (BUILD_SHARED_LIBS)
	option(BUILD_STATIC "Build static library" ON)
endif (BUILD_SHARED_LIBS)

if (TARGET_ARCHITECTURE STREQUAL "")
    string(TOLOWER ${CMAKE_SYSTEM_PROCESSOR} TARGET_ARCHITECTURE)
endif (TARGET_ARCHITECTURE STREQUAL "")

if (TARGET_ARCHITECTURE MATCHES ".*(x86)|(amd).*")
    CHECK_C_COMPILER_FLAG(-msse2 SUPPORTS_CFLAG_SSE2)
    CHECK_C_COMPILER_FLAG(-mfpmath=sse SUPPORTS_CFLAG_SSE_MATH)
    if (CHECK_SSE2 AND SUPPORTS_CFLAG_SSE2 AND SUPPORTS_CFLAG_SSE_MATH)
        set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -msse2 -mfpmath=sse")
        set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -msse2 -mfpmath=sse")
    else (CHECK_SSE2 AND SUPPORTS_CFLAG_SSE2 AND SUPPORTS_CFLAG_SSE_MATH)
        set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -ffloat-store")
        set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -ffloat-store")
    endif (CHECK_SSE2 AND SUPPORTS_CFLAG_SSE2 AND SUPPORTS_CFLAG_SSE_MATH)
endif (TARGET_ARCHITECTURE MATCHES ".*(x86)|(amd).*")

configure_file(
	uchardet.pc.in
	uchardet.pc
	@ONLY
)

install(
	FILES
		${CMAKE_BINARY_DIR}/uchardet.pc
	DESTINATION
		${CMAKE_INSTALL_LIBDIR}/pkgconfig
)

######## Subdirectories

add_subdirectory(src)
add_subdirectory(doc)
add_subdirectory(test)

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -9,14 +9,29 @@
 	JpCntx.cpp
 	LangModels/LangArabicModel.cpp
 	LangModels/LangBulgarianModel.cpp
-	LangModels/LangRussianModel.cpp
+    LangModels/LangCroatianModel.cpp
+    LangModels/LangCzechModel.cpp
 	LangModels/LangEsperantoModel.cpp
+	LangModels/LangEstonianModel.cpp
+	LangModels/LangFinnishModel.cpp
 	LangModels/LangFrenchModel.cpp
 	LangModels/LangDanishModel.cpp
 	LangModels/LangGermanModel.cpp
 	LangModels/LangGreekModel.cpp
 	LangModels/LangHungarianModel.cpp
 	LangModels/LangHebrewModel.cpp
+	LangModels/LangIrishModel.cpp
+	LangModels/LangItalianModel.cpp
+    LangModels/LangLithuanianModel.cpp
+    LangModels/LangLatvianModel.cpp
+    LangModels/LangMalteseModel.cpp
+    LangModels/LangPolishModel.cpp
+    LangModels/LangPortugueseModel.cpp
+	LangModels/LangRomanianModel.cpp
+	LangModels/LangRussianModel.cpp
+	LangModels/LangSlovakModel.cpp
+    LangModels/LangSloveneModel.cpp
+    LangModels/LangSwedishModel.cpp
 	LangModels/LangSpanishModel.cpp
 	LangModels/LangThaiModel.cpp
 	LangModels/LangTurkishModel.cpp
@@ -64,6 +79,10 @@
 	${UCHARDET_LIBRARY}
 	${UCHARDET_SOURCES}
 )
+target_compile_definitions("${UCHARDET_LIBRARY}" PRIVATE BUILDING_UCHARDET)
+if(BUILD_SHARED_LIBS)
+	target_compile_definitions("${UCHARDET_LIBRARY}" PUBLIC UCHARDET_SHARED)
+endif()
 
 if (UCHARDET_STATIC_LIBRARY)
 	add_library(
@@ -71,6 +90,7 @@
 		STATIC
 		${UCHARDET_SOURCES}
 	)
+	target_compile_definitions("${UCHARDET_STATIC_LIBRARY}" PRIVATE BUILDING_UCHARDET)
 endif (UCHARDET_STATIC_LIBRARY)
 
 set_target_properties(

=== src/tools/CMakeLists.txt ===
set(
	UCHARDET_SOURCES
	uchardet.cpp
)

set(UCHARDET_BINARY uchardet)

add_executable(
	${UCHARDET_BINARY}
	${UCHARDET_SOURCES}
)

target_link_libraries(
	${UCHARDET_BINARY}
	${UCHARDET_LIBRARY}
)

install(
	TARGETS
		${UCHARDET_BINARY}
	RUNTIME DESTINATION
		${CMAKE_INSTALL_BINDIR}
)

=== debian/changelog ===
uchardet (0.0.7-1) unstable; urgency=medium

  [ James Cowgill ]
  * New upstream release.

  * d/copyright: Refer to common copy of the MPL-1.1 license
  * d/control:
    - Use debhelper 13.
    - Set Rules-Requires-Root: no.
    - Bump standards version to 4.5.0.
  * d/rules: Use the new CMake defines to activate -ffloat-store on x86.
  * d/upstream/metadata: Add upstream repository metadata.
  * d/tests: Make "build" tests cross test friendly. (LP: #1869239)

  [ Ondřej Nový ]
  * d/tests: Use AUTOPKGTEST_TMP instead of ADTTMP.

 -- James Cowgill <jcowgill@debian.org>  Sun, 31 May 2020 14:26:11 +0100

uchardet (0.0.6-3) unstable; urgency=medium

  * debian/compat: Use debhelper compat 11.
  * debian/control:
    - Migrate Vcs URLs to salsa.d.o.
    - Drop unnecessary Testsuite: autopkgtest field.
    - Bump standards version to 4.1.4.
  * debian/copyright: Use secure copyright format URL.

 -- James Cowgill <jcowgill@debian.org>  Sat, 02 Jun 2018 12:57:31 +0100

=== debian/control ===
--- 
+++ 
@@ -2,12 +2,12 @@
 Priority: optional
 Section: libs
 Maintainer: James Cowgill <jcowgill@debian.org>
-Build-Depends: debhelper (>= 10), cmake
-Standards-Version: 4.0.0
+Build-Depends: debhelper-compat (= 13), cmake
+Rules-Requires-Root: no
+Standards-Version: 4.5.0
 Homepage: https://www.freedesktop.org/wiki/Software/uchardet/
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/uchardet.git
-Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/uchardet.git
-Testsuite: autopkgtest
+Vcs-Git: https://salsa.debian.org/debian/uchardet.git
+Vcs-Browser: https://salsa.debian.org/debian/uchardet
 
 Package: uchardet
 Section: utils

=== debian/rules ===
#!/usr/bin/make -f
include /usr/share/dpkg/architecture.mk

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

ifeq ($(DEB_HOST_ARCH_CPU),i386)
  # Uchardet seems to rely on IEEE 754 float rounding. Tell the build system to
  # use -ffloat-store to make testsuite pass and make i386 give consistent
  # results between architectures.
  # See https://bugs.freedesktop.org/show_bug.cgi?id=101033
  EXTRA_CMAKE_ARGS = -DTARGET_ARCHITECTURE=x86 -DCHECK_SSE2=OFF
endif

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- $(EXTRA_CMAKE_ARGS)

## uchardet 0.0.8

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 ######## Project settings
-cmake_minimum_required(VERSION 2.8.5)
+cmake_minimum_required(VERSION 3.1)
 include(CheckCCompilerFlag)
 set (PACKAGE_NAME uchardet)
 project (${PACKAGE_NAME} CXX C)
@@ -10,7 +10,7 @@
 set (PACKAGE_BUGREPORT https://gitlab.freedesktop.org/uchardet/uchardet/-/issues)
 set (UCHARDET_VERSION_MAJOR 0)
 set (UCHARDET_VERSION_MINOR 0)
-set (UCHARDET_VERSION_REVISION 7)
+set (UCHARDET_VERSION_REVISION 8)
 
 if (CMAKE_BUILD_TYPE MATCHES Debug)
 	set (version_suffix .debug)
@@ -39,10 +39,10 @@
 endif (BUILD_SHARED_LIBS)
 
 if (TARGET_ARCHITECTURE STREQUAL "")
-    string(TOLOWER ${CMAKE_SYSTEM_PROCESSOR} TARGET_ARCHITECTURE)
+    string(TOLOWER "${CMAKE_SYSTEM_PROCESSOR}" TARGET_ARCHITECTURE)
 endif (TARGET_ARCHITECTURE STREQUAL "")
 
-if (TARGET_ARCHITECTURE MATCHES ".*(x86)|(amd).*")
+if (TARGET_ARCHITECTURE MATCHES ".*(x86|amd|i686).*")
     CHECK_C_COMPILER_FLAG(-msse2 SUPPORTS_CFLAG_SSE2)
     CHECK_C_COMPILER_FLAG(-mfpmath=sse SUPPORTS_CFLAG_SSE_MATH)
     if (CHECK_SSE2 AND SUPPORTS_CFLAG_SSE2 AND SUPPORTS_CFLAG_SSE_MATH)
@@ -52,7 +52,7 @@
         set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -ffloat-store")
         set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -ffloat-store")
     endif (CHECK_SSE2 AND SUPPORTS_CFLAG_SSE2 AND SUPPORTS_CFLAG_SSE_MATH)
-endif (TARGET_ARCHITECTURE MATCHES ".*(x86)|(amd).*")
+endif (TARGET_ARCHITECTURE MATCHES ".*(x86|amd|i686).*")
 
 configure_file(
 	uchardet.pc.in
@@ -62,7 +62,7 @@
 
 install(
 	FILES
-		${CMAKE_BINARY_DIR}/uchardet.pc
+		${CMAKE_CURRENT_BINARY_DIR}/uchardet.pc
 	DESTINATION
 		${CMAKE_INSTALL_LIBDIR}/pkgconfig
 )
@@ -72,3 +72,39 @@
 add_subdirectory(src)
 add_subdirectory(doc)
 add_subdirectory(test)
+
+######## Exported targets
+
+install(
+	EXPORT UchardetTargets
+	FILE ${PACKAGE_NAME}-targets.cmake
+	NAMESPACE ${PACKAGE_NAME}::
+	DESTINATION ${CMAKE_INSTALL_LIBDIR}/cmake/${PACKAGE_NAME}
+)
+
+export(
+	EXPORT UchardetTargets
+	FILE "${CMAKE_CURRENT_BINARY_DIR}/${PACKAGE_NAME}-targets.cmake"
+	NAMESPACE ${PACKAGE_NAME}::
+)
+
+include(CMakePackageConfigHelpers)
+write_basic_package_version_file(
+	${PACKAGE_NAME}-config-version.cmake
+	VERSION ${UCHARDET_VERSION}
+	COMPATIBILITY AnyNewerVersion
+)
+
+configure_file(
+	${PACKAGE_NAME}-config.cmake.in
+	${PACKAGE_NAME}-config.cmake
+	@ONLY
+)
+
+install (
+	FILES
+		"${CMAKE_CURRENT_BINARY_DIR}/${PACKAGE_NAME}-config.cmake"
+		"${CMAKE_CURRENT_BINARY_DIR}/${PACKAGE_NAME}-config-version.cmake"
+	DESTINATION
+		${CMAKE_INSTALL_LIBDIR}/cmake/${PACKAGE_NAME}
+)

=== doc/CMakeLists.txt ===
install(
	FILES
		uchardet.1
	DESTINATION
		${CMAKE_INSTALL_MANDIR}/man1
)

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -36,6 +36,7 @@
 	LangModels/LangThaiModel.cpp
 	LangModels/LangTurkishModel.cpp
 	LangModels/LangVietnameseModel.cpp
+	LangModels/LangNorwegianModel.cpp
 	nsHebrewProber.cpp
 	nsCharSetProber.cpp
 	nsBig5Prober.cpp
@@ -84,6 +85,12 @@
 	target_compile_definitions("${UCHARDET_LIBRARY}" PUBLIC UCHARDET_SHARED)
 endif()
 
+target_include_directories(${UCHARDET_LIBRARY}
+	PUBLIC
+		"$<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}>"
+		"$<INSTALL_INTERFACE:${CMAKE_INSTALL_INCLUDEDIR}/${PACKAGE_NAME}>"
+)
+
 if (UCHARDET_STATIC_LIBRARY)
 	add_library(
 		${UCHARDET_STATIC_LIBRARY}
@@ -91,6 +98,12 @@
 		${UCHARDET_SOURCES}
 	)
 	target_compile_definitions("${UCHARDET_STATIC_LIBRARY}" PRIVATE BUILDING_UCHARDET)
+
+	target_include_directories(${UCHARDET_STATIC_LIBRARY}
+		PUBLIC
+			"$<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}>"
+			"$<INSTALL_INTERFACE:${CMAKE_INSTALL_INCLUDEDIR}/${PACKAGE_NAME}>"
+	)
 endif (UCHARDET_STATIC_LIBRARY)
 
 set_target_properties(
@@ -121,6 +134,8 @@
 	install(
 		TARGETS
 			${UCHARDET_LIBRARY}
+		EXPORT
+			UchardetTargets
 		LIBRARY DESTINATION
 			${CMAKE_INSTALL_LIBDIR}
 		ARCHIVE DESTINATION
@@ -130,6 +145,8 @@
 	install(
 		TARGETS
 			${UCHARDET_LIBRARY}
+		EXPORT
+			UchardetTargets
 		RUNTIME DESTINATION
 			${CMAKE_INSTALL_BINDIR}
 		ARCHIVE DESTINATION
@@ -141,6 +158,8 @@
 	install(
 		TARGETS
 			${UCHARDET_STATIC_LIBRARY}
+		EXPORT
+			UchardetTargets
 		ARCHIVE DESTINATION
 			${CMAKE_INSTALL_LIBDIR}
 	)

=== test/CMakeLists.txt ===
set(
	UCHARDET_TEST_SOURCES
	uchardet-tests.c
)

add_executable(
	uchardet-tests
	${UCHARDET_TEST_SOURCES}
)

target_link_libraries(
	uchardet-tests
	${UCHARDET_LIBRARY}
)

set_target_properties(
	uchardet-tests
	PROPERTIES
		LINKER_LANGUAGE
			C
		OUTPUT_NAME
			uchardet-tests
)

# Iterate through all langs.
file(GLOB dirs "[a-z][a-z]")
foreach(dir ${dirs})
	get_filename_component(lang ${dir} NAME)
	file(GLOB files "${dir}/*")
	# Iterate through all files.
	foreach(file ${files})
		get_filename_component(charset ${file} NAME_WE)
		# These are tests known to fail (not supported or not efficient
		# enough). We will have to take a closer look and fix these, but
		# there is no need to break the whole `make test` right now,
		# which may make actual regressions harder to notice.
		if ("${lang}:${charset}" STREQUAL "ja:utf-16le"		OR
			"${lang}:${charset}" STREQUAL "ja:utf-16be"		OR
			"${lang}:${charset}" STREQUAL "es:iso-8859-15"	OR
			"${lang}:${charset}" STREQUAL "da:iso-8859-1"	OR
			"${lang}:${charset}" STREQUAL "he:iso-8859-8")
			message(STATUS "Skipping test ${lang}:${charset} (known broken)")
		else()
			add_test(NAME "${lang}:${charset}" COMMAND uchardet-tests ${file})
		endif()
	endforeach()
endforeach()

=== debian/changelog ===
uchardet (0.0.8-2) unstable; urgency=medium

  * d/control: Bump standards version.
  * d/copyright:
    - Replace old FSF address.
    - Update debian copyright date.
  * d/rules:
    - Fix FTBFS with CMake 4. (Closes: #1113594)
    - Enable SSE2 on i386.
  * d/tests: Require 0.0.8 in CMake test.

 -- James Cowgill <jcowgill@debian.org>  Tue, 02 Sep 2025 16:15:50 +0100

uchardet (0.0.8-1) unstable; urgency=medium

  * New upstream release. (Closes: #1031291)

  * d/copyright: Update copyright date.
  * d/control:
    - Bump standards version.
    - Add dependency on uchardet to libuchardet-dev.
  * d/libuchardet-dev.install:
    - Install CMake config files.
  * d/tests:
    - Refactor detect.c into a separate file.
    - Add build tests for the static library.
    - Add cmake build test.

 -- James Cowgill <jcowgill@debian.org>  Wed, 29 Nov 2023 22:47:32 +0000

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: James Cowgill <jcowgill@debian.org>
 Build-Depends: debhelper-compat (= 13), cmake
 Rules-Requires-Root: no
-Standards-Version: 4.5.0
+Standards-Version: 4.7.2
 Homepage: https://www.freedesktop.org/wiki/Software/uchardet/
 Vcs-Git: https://salsa.debian.org/debian/uchardet.git
 Vcs-Browser: https://salsa.debian.org/debian/uchardet
@@ -42,7 +42,10 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libuchardet0 (= ${binary:Version}), ${misc:Depends}
+Depends:
+ libuchardet0 (= ${binary:Version}),
+ uchardet (= ${binary:Version}),
+ ${misc:Depends}
 Description: universal charset detection library - development files
  uchardet is a C language binding of the original C++ implementation
  of the universal charset detection library by Mozilla.

=== debian/rules ===
#!/usr/bin/make -f
include /usr/share/dpkg/architecture.mk

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

# Fix FTBFS with CMake 4 (#1113594)
EXTRA_CMAKE_ARGS += -DCMAKE_POLICY_VERSION_MINIMUM=3.5

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- $(EXTRA_CMAKE_ARGS)

=== debian/tests/control ===
Tests: build
Depends: build-essential, libuchardet-dev, pkg-config

Tests: cli
Depends: uchardet

Tests: cmake
Depends: build-essential, cmake, libuchardet-dev

## uchardet 1.0.0

=== DESCRIPTION ===
Package: uchardet
Type: Package
Title: The Universal Character Encoding Detector
Description: R bindings of the 'uchardet', encoding detector library from Mozilla
  (<https://www.freedesktop.org/wiki/Software/uchardet/>). It takes a sequence
  of bytes in an unknown character encoding and without any additional
  information, and attempts to get the encoding of the text. All return names of
  the encodings are iconv-compatible.
Version: 1.0.0
Authors@R: c(
  person(given = "Artem",
         family = "Klevtsov",
         role = c("aut", "cre"),
         email = "a.a.klevtsov@gmail.com",
         comment = c(ORCID = "0000-0003-0492-6647")),
  person(given = "Philipp",
         family = "Upravitelev",
         role = "ctb",
         email = "upravitelev@gmail.com")
  )
License: GPL-2
Copyright: file COPYRIGHTS
URL: https://artemklevtsov.gitlab.io/uchardet
BugReports: https://gitlab.com/artemklevtsov/uchardet/issues
Depends: R (>= 3.6.0)
Imports: Rcpp
Suggests: tinytest, knitr, rmarkdown, curl
LinkingTo: Rcpp
Encoding: UTF-8
NeedsCompilation: yes
ByteCompile: yes
RoxygenNote: 7.0.0
SystemRequirements: C++11, GNU make
VignetteBuilder: knitr
Packaged: 2019-11-16 10:22:33 UTC; unikum
Author: Artem Klevtsov [aut, cre] (<https://orcid.org/0000-0003-0492-6647>),
  Philipp Upravitelev [ctb]
Maintainer: Artem Klevtsov <a.a.klevtsov@gmail.com>
Repository: CRAN
Date/Publication: 2019-11-22 10:40:03 UTC

=== src/uchardet/src/CMakeLists.txt ===
set(
	UCHARDET_HEADERS
	uchardet.h
)

set(
	UCHARDET_SOURCES
	CharDistribution.cpp
	JpCntx.cpp
	LangModels/LangArabicModel.cpp
	LangModels/LangBulgarianModel.cpp
    LangModels/LangCroatianModel.cpp
    LangModels/LangCzechModel.cpp
	LangModels/LangEsperantoModel.cpp
	LangModels/LangEstonianModel.cpp
	LangModels/LangFinnishModel.cpp
	LangModels/LangFrenchModel.cpp
	LangModels/LangDanishModel.cpp
	LangModels/LangGermanModel.cpp
	LangModels/LangGreekModel.cpp
	LangModels/LangHungarianModel.cpp
	LangModels/LangHebrewModel.cpp
	LangModels/LangIrishModel.cpp
	LangModels/LangItalianModel.cpp
    LangModels/LangLithuanianModel.cpp
    LangModels/LangLatvianModel.cpp
    LangModels/LangMalteseModel.cpp
    LangModels/LangPolishModel.cpp
    LangModels/LangPortugueseModel.cpp
	LangModels/LangRomanianModel.cpp
	LangModels/LangRussianModel.cpp
	LangModels/LangSlovakModel.cpp
    LangModels/LangSloveneModel.cpp
    LangModels/LangSwedishModel.cpp
	LangModels/LangSpanishModel.cpp
	LangModels/LangThaiModel.cpp
	LangModels/LangTurkishModel.cpp
	LangModels/LangVietnameseModel.cpp
	nsHebrewProber.cpp
	nsCharSetProber.cpp
	nsBig5Prober.cpp
	nsEUCJPProber.cpp
	nsEUCKRProber.cpp
	nsEUCTWProber.cpp
	nsEscCharsetProber.cpp
	nsEscSM.cpp
	nsGB2312Prober.cpp
	nsMBCSGroupProber.cpp
	nsMBCSSM.cpp
	nsSBCSGroupProber.cpp
	nsSBCharSetProber.cpp
	nsSJISProber.cpp
	nsUTF8Prober.cpp
	nsLatin1Prober.cpp
	nsUniversalDetector.cpp
	uchardet.cpp
)

set (UCHARDET_LIBRARY libuchardet)
set (UCHARDET_LIBRARY libuchardet PARENT_SCOPE)

if (BUILD_STATIC AND BUILD_SHARED_LIBS)
	set (UCHARDET_STATIC_LIBRARY libuchardet_static)
endif ()

add_definitions(
	-DVERSION="${UCHARDET_VERSION}"
	-Wall
)

if (CMAKE_BUILD_TYPE MATCHES Debug)
	add_definitions(
		-O0
		-g3
	)
endif (CMAKE_BUILD_TYPE MATCHES Debug)

add_library(
	${UCHARDET_LIBRARY}
	${UCHARDET_SOURCES}
)

if (UCHARDET_STATIC_LIBRARY)
	add_library(
		${UCHARDET_STATIC_LIBRARY}
		STATIC
		${UCHARDET_SOURCES}
	)
endif (UCHARDET_STATIC_LIBRARY)

set_target_properties(
	${UCHARDET_LIBRARY}
	PROPERTIES
		LINKER_LANGUAGE
			CXX
		OUTPUT_NAME
			${PACKAGE_NAME}
		VERSION
			${UCHARDET_VERSION}
		SOVERSION
			${UCHARDET_VERSION_MAJOR}
)

if (UCHARDET_STATIC_LIBRARY)
	set_target_properties(
		${UCHARDET_STATIC_LIBRARY}
		PROPERTIES
			LINKER_LANGUAGE
				CXX
			OUTPUT_NAME
				${PACKAGE_NAME}
	)
endif (UCHARDET_STATIC_LIBRARY)

if (NOT WIN32)
	install(
		TARGETS
			${UCHARDET_LIBRARY}
		LIBRARY DESTINATION
			${CMAKE_INSTALL_LIBDIR}
		ARCHIVE DESTINATION
			${CMAKE_INSTALL_LIBDIR}
	)
else (NOT WIN32)
	install(
		TARGETS
			${UCHARDET_LIBRARY}
		RUNTIME DESTINATION
			${CMAKE_INSTALL_BINDIR}
		ARCHIVE DESTINATION
			${CMAKE_INSTALL_LIBDIR}
	)
endif (NOT WIN32)

if (UCHARDET_STATIC_LIBRARY)
	install(
		TARGETS
			${UCHARDET_STATIC_LIBRARY}
		ARCHIVE DESTINATION
			${CMAKE_INSTALL_LIBDIR}
	)
endif (UCHARDET_STATIC_LIBRARY)

install(
	FILES
		${UCHARDET_HEADERS}
	DESTINATION
		${CMAKE_INSTALL_INCLUDEDIR}/${PACKAGE_NAME}
)

include(symbols.cmake)

if (BUILD_BINARY)
	add_subdirectory(tools)
endif (BUILD_BINARY)

## uchardet 1.0.1

=== DESCRIPTION ===
--- 
+++ 
@@ -6,7 +6,7 @@
   of bytes in an unknown character encoding and without any additional
   information, and attempts to get the encoding of the text. All return names of
   the encodings are iconv-compatible.
-Version: 1.0.0
+Version: 1.0.1
 Authors@R: c(
   person(given = "Artem",
          family = "Klevtsov",
@@ -22,19 +22,19 @@
 Copyright: file COPYRIGHTS
 URL: https://artemklevtsov.gitlab.io/uchardet
 BugReports: https://gitlab.com/artemklevtsov/uchardet/issues
-Depends: R (>= 3.6.0)
+Depends: R (>= 3.5.0)
 Imports: Rcpp
 Suggests: tinytest, knitr, rmarkdown, curl
 LinkingTo: Rcpp
 Encoding: UTF-8
 NeedsCompilation: yes
 ByteCompile: yes
-RoxygenNote: 7.0.0
+RoxygenNote: 7.0.1
 SystemRequirements: C++11, GNU make
 VignetteBuilder: knitr
-Packaged: 2019-11-16 10:22:33 UTC; unikum
+Packaged: 2019-11-26 06:05:34.447 UTC; unikum
 Author: Artem Klevtsov [aut, cre] (<https://orcid.org/0000-0003-0492-6647>),
   Philipp Upravitelev [ctb]
 Maintainer: Artem Klevtsov <a.a.klevtsov@gmail.com>
 Repository: CRAN
-Date/Publication: 2019-11-22 10:40:03 UTC
+Date/Publication: 2019-11-26 10:20:03 UTC

## uchardet 1.0.2

=== DESCRIPTION ===
--- 
+++ 
@@ -6,7 +6,7 @@
   of bytes in an unknown character encoding and without any additional
   information, and attempts to get the encoding of the text. All return names of
   the encodings are iconv-compatible.
-Version: 1.0.1
+Version: 1.0.2
 Authors@R: c(
   person(given = "Artem",
          family = "Klevtsov",
@@ -29,12 +29,12 @@
 Encoding: UTF-8
 NeedsCompilation: yes
 ByteCompile: yes
-RoxygenNote: 7.0.1
+RoxygenNote: 7.0.2
 SystemRequirements: C++11, GNU make
 VignetteBuilder: knitr
-Packaged: 2019-11-26 06:05:34.447 UTC; unikum
+Packaged: 2019-12-10 10:48:07.048 UTC; unikum
 Author: Artem Klevtsov [aut, cre] (<https://orcid.org/0000-0003-0492-6647>),
   Philipp Upravitelev [ctb]
 Maintainer: Artem Klevtsov <a.a.klevtsov@gmail.com>
 Repository: CRAN
-Date/Publication: 2019-11-26 10:20:03 UTC
+Date/Publication: 2019-12-10 11:20:02 UTC

## uchardet 1.0.4

=== DESCRIPTION ===
--- 
+++ 
@@ -6,7 +6,7 @@
   of bytes in an unknown character encoding and without any additional
   information, and attempts to get the encoding of the text. All return names of
   the encodings are iconv-compatible.
-Version: 1.0.2
+Version: 1.0.4
 Authors@R: c(
   person(given = "Artem",
          family = "Klevtsov",
@@ -20,21 +20,22 @@
   )
 License: GPL-2
 Copyright: file COPYRIGHTS
-URL: https://artemklevtsov.gitlab.io/uchardet
+URL: https://artemklevtsov.gitlab.io/uchardet,
+        https://gitlab.com/artemklevtsov
 BugReports: https://gitlab.com/artemklevtsov/uchardet/issues
 Depends: R (>= 3.5.0)
 Imports: Rcpp
 Suggests: tinytest, knitr, rmarkdown, curl
 LinkingTo: Rcpp
-Encoding: UTF-8
+SystemRequirements: C++11, GNU make
 NeedsCompilation: yes
 ByteCompile: yes
+Encoding: UTF-8
 RoxygenNote: 7.0.2
-SystemRequirements: C++11, GNU make
 VignetteBuilder: knitr
-Packaged: 2019-12-10 10:48:07.048 UTC; unikum
+Packaged: 2020-02-29 15:06:12.729 UTC; unikum
 Author: Artem Klevtsov [aut, cre] (<https://orcid.org/0000-0003-0492-6647>),
   Philipp Upravitelev [ctb]
 Maintainer: Artem Klevtsov <a.a.klevtsov@gmail.com>
 Repository: CRAN
-Date/Publication: 2019-12-10 11:20:02 UTC
+Date/Publication: 2020-02-29 15:50:02 UTC

## uchardet 1.0.5

=== DESCRIPTION ===
--- 
+++ 
@@ -6,7 +6,7 @@
   of bytes in an unknown character encoding and without any additional
   information, and attempts to get the encoding of the text. All return names of
   the encodings are iconv-compatible.
-Version: 1.0.4
+Version: 1.0.5
 Authors@R: c(
   person(given = "Artem",
          family = "Klevtsov",
@@ -33,9 +33,9 @@
 Encoding: UTF-8
 RoxygenNote: 7.0.2
 VignetteBuilder: knitr
-Packaged: 2020-02-29 15:06:12.729 UTC; unikum
+Packaged: 2020-03-01 10:11:38.139 UTC; unikum
 Author: Artem Klevtsov [aut, cre] (<https://orcid.org/0000-0003-0492-6647>),
   Philipp Upravitelev [ctb]
 Maintainer: Artem Klevtsov <a.a.klevtsov@gmail.com>
 Repository: CRAN
-Date/Publication: 2020-02-29 15:50:02 UTC
+Date/Publication: 2020-03-01 15:30:02 UTC

## uchardet 1.0.6

=== DESCRIPTION ===
--- 
+++ 
@@ -6,7 +6,7 @@
   of bytes in an unknown character encoding and without any additional
   information, and attempts to get the encoding of the text. All return names of
   the encodings are iconv-compatible.
-Version: 1.0.5
+Version: 1.0.6
 Authors@R: c(
   person(given = "Artem",
          family = "Klevtsov",
@@ -23,7 +23,7 @@
 URL: https://artemklevtsov.gitlab.io/uchardet,
         https://gitlab.com/artemklevtsov
 BugReports: https://gitlab.com/artemklevtsov/uchardet/issues
-Depends: R (>= 3.5.0)
+Depends: R (>= 3.1.0)
 Imports: Rcpp
 Suggests: tinytest, knitr, rmarkdown, curl
 LinkingTo: Rcpp
@@ -31,11 +31,11 @@
 NeedsCompilation: yes
 ByteCompile: yes
 Encoding: UTF-8
-RoxygenNote: 7.0.2
+RoxygenNote: 7.1.0
 VignetteBuilder: knitr
-Packaged: 2020-03-01 10:11:38.139 UTC; unikum
+Packaged: 2020-04-23 15:52:52 UTC; unikum
 Author: Artem Klevtsov [aut, cre] (<https://orcid.org/0000-0003-0492-6647>),
   Philipp Upravitelev [ctb]
 Maintainer: Artem Klevtsov <a.a.klevtsov@gmail.com>
 Repository: CRAN
-Date/Publication: 2020-03-01 15:30:02 UTC
+Date/Publication: 2020-04-27 14:10:05 UTC

## uchardet 1.1.0

=== DESCRIPTION ===
--- 
+++ 
@@ -6,7 +6,7 @@
   of bytes in an unknown character encoding and without any additional
   information, and attempts to get the encoding of the text. All return names of
   the encodings are iconv-compatible.
-Version: 1.0.6
+Version: 1.1.0
 Authors@R: c(
   person(given = "Artem",
          family = "Klevtsov",
@@ -21,21 +21,19 @@
 License: GPL-2
 Copyright: file COPYRIGHTS
 URL: https://artemklevtsov.gitlab.io/uchardet,
-        https://gitlab.com/artemklevtsov
-BugReports: https://gitlab.com/artemklevtsov/uchardet/issues
+        https://gitlab.com/artemklevtsov/uchardet
+BugReports: https://gitlab.com/artemklevtsov/uchardet/-/issues
 Depends: R (>= 3.1.0)
-Imports: Rcpp
 Suggests: tinytest, knitr, rmarkdown, curl
-LinkingTo: Rcpp
 SystemRequirements: C++11, GNU make
 NeedsCompilation: yes
 ByteCompile: yes
 Encoding: UTF-8
-RoxygenNote: 7.1.0
+RoxygenNote: 7.1.1
 VignetteBuilder: knitr
-Packaged: 2020-04-23 15:52:52 UTC; unikum
+Packaged: 2020-09-02 05:22:41 UTC; unikum
 Author: Artem Klevtsov [aut, cre] (<https://orcid.org/0000-0003-0492-6647>),
   Philipp Upravitelev [ctb]
 Maintainer: Artem Klevtsov <a.a.klevtsov@gmail.com>
 Repository: CRAN
-Date/Publication: 2020-04-27 14:10:05 UTC
+Date/Publication: 2020-09-02 05:50:03 UTC

=== src/uchardet/CMakeLists.txt ===
######## Project settings
cmake_minimum_required(VERSION 2.8.5)
include(CheckCCompilerFlag)
set (PACKAGE_NAME uchardet)
project (${PACKAGE_NAME} CXX C)
enable_testing()

######## Package information
set (PACKAGE_URL https://www.freedesktop.org/wiki/Software/uchardet/)
set (PACKAGE_BUGREPORT https://gitlab.freedesktop.org/uchardet/uchardet/-/issues)
set (UCHARDET_VERSION_MAJOR 0)
set (UCHARDET_VERSION_MINOR 0)
set (UCHARDET_VERSION_REVISION 7)

if (CMAKE_BUILD_TYPE MATCHES Debug)
	set (version_suffix .debug)
endif (CMAKE_BUILD_TYPE MATCHES Debug)

set (
	UCHARDET_VERSION
	${UCHARDET_VERSION_MAJOR}.${UCHARDET_VERSION_MINOR}.${UCHARDET_VERSION_REVISION}${version_suffix}
)
set(CMAKE_CXX_STANDARD 11)
set(CMAKE_CXX_STANDARD_REQUIRED ON)

######## Directory

include(GNUInstallDirs)

######## Configuration

option(BUILD_BINARY "Build the CLI tool." ON)
option(BUILD_SHARED_LIBS "Build shared library and link executable to it." ON)
option(CHECK_SSE2 "Check and enable SSE2 extensions if supported. Disabling SSE on platforms which support it may decrease performances." ON)
set(TARGET_ARCHITECTURE "" CACHE STRING "Target CPU architecture. It is autodetected if not specified.")

if (BUILD_SHARED_LIBS)
	option(BUILD_STATIC "Build static library" ON)
endif (BUILD_SHARED_LIBS)

if (TARGET_ARCHITECTURE STREQUAL "")
    string(TOLOWER "${CMAKE_SYSTEM_PROCESSOR}" TARGET_ARCHITECTURE)
endif (TARGET_ARCHITECTURE STREQUAL "")

if (TARGET_ARCHITECTURE MATCHES ".*(x86|amd|i686).*")
    CHECK_C_COMPILER_FLAG(-msse2 SUPPORTS_CFLAG_SSE2)
    CHECK_C_COMPILER_FLAG(-mfpmath=sse SUPPORTS_CFLAG_SSE_MATH)
    if (CHECK_SSE2 AND SUPPORTS_CFLAG_SSE2 AND SUPPORTS_CFLAG_SSE_MATH)
        set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -msse2 -mfpmath=sse")
        set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -msse2 -mfpmath=sse")
    else (CHECK_SSE2 AND SUPPORTS_CFLAG_SSE2 AND SUPPORTS_CFLAG_SSE_MATH)
        set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -ffloat-store")
        set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -ffloat-store")
    endif (CHECK_SSE2 AND SUPPORTS_CFLAG_SSE2 AND SUPPORTS_CFLAG_SSE_MATH)
endif (TARGET_ARCHITECTURE MATCHES ".*(x86|amd|i686).*")

configure_file(
	uchardet.pc.in
	uchardet.pc
	@ONLY
)

install(
	FILES
		${CMAKE_BINARY_DIR}/uchardet.pc
	DESTINATION
		${CMAKE_INSTALL_LIBDIR}/pkgconfig
)

######## Subdirectories

add_subdirectory(src)
add_subdirectory(doc)
add_subdirectory(test)

=== src/uchardet/src/tools/CMakeLists.txt ===
set(
	UCHARDET_SOURCES
	uchardet.cpp
)

include(CheckSymbolExists)

check_symbol_exists(getopt_long "getopt.h" HAVE_GETOPT_LONG)

# On Windows with MSVC, `getopt_long` is not available by default.
# But some third-party libraries can be used. For example, in `vcpkg`,
# we can find a port named `getopt-win32`.
if (NOT HAVE_GETOPT_LONG)
    find_path(GETOPT_INCLUDE_DIR NAMES getopt.h)
    find_library(GETOPT_LIBRARY NAMES getopt)
endif (NOT HAVE_GETOPT_LONG)

set(UCHARDET_BINARY uchardet)

add_executable(
	${UCHARDET_BINARY}
	${UCHARDET_SOURCES}
)

if (GETOPT_INCLUDE_DIR AND GETOPT_LIBRARY)
    target_include_directories(${UCHARDET_BINARY} PRIVATE ${GETOPT_INCLUDE_DIR})
    target_link_libraries(${UCHARDET_BINARY} PRIVATE ${GETOPT_LIBRARY})
endif (GETOPT_INCLUDE_DIR AND GETOPT_LIBRARY)

target_link_libraries(
	${UCHARDET_BINARY}
	${UCHARDET_LIBRARY}
)

install(
	TARGETS
		${UCHARDET_BINARY}
	RUNTIME DESTINATION
		${CMAKE_INSTALL_BINDIR}
)

## uchardet 1.1.1

=== DESCRIPTION ===
--- 
+++ 
@@ -6,7 +6,7 @@
   of bytes in an unknown character encoding and without any additional
   information, and attempts to get the encoding of the text. All return names of
   the encodings are iconv-compatible.
-Version: 1.1.0
+Version: 1.1.1
 Authors@R: c(
   person(given = "Artem",
          family = "Klevtsov",
@@ -24,16 +24,16 @@
         https://gitlab.com/artemklevtsov/uchardet
 BugReports: https://gitlab.com/artemklevtsov/uchardet/-/issues
 Depends: R (>= 3.1.0)
-Suggests: tinytest, knitr, rmarkdown, curl
+Suggests: tinytest, knitr, rmarkdown
 SystemRequirements: C++11, GNU make
 NeedsCompilation: yes
 ByteCompile: yes
 Encoding: UTF-8
-RoxygenNote: 7.1.1
+RoxygenNote: 7.2.1
 VignetteBuilder: knitr
-Packaged: 2020-09-02 05:22:41 UTC; unikum
+Packaged: 2022-11-07 09:56:04 UTC; unikum
 Author: Artem Klevtsov [aut, cre] (<https://orcid.org/0000-0003-0492-6647>),
   Philipp Upravitelev [ctb]
 Maintainer: Artem Klevtsov <a.a.klevtsov@gmail.com>
 Repository: CRAN
-Date/Publication: 2020-09-02 05:50:03 UTC
+Date/Publication: 2022-11-07 13:20:02 UTC
